package com.capgemini.reports.snecmaobjects.generic;

import com.capgemini.framework.teamcenter.authent.TcSession;
import com.capgemini.reports.snecmaobjects.visitor.IComponentVisitor;
import com.capgemini.reports.snecmaobjects.visitor.IReceptorVisitor;
import com.teamcenter.soa.client.model.strong.ItemRevision;

/**
 * Class representing a RFAdminAGRevision.
 */
public class GenericRevision extends AbstractGenericRevision {
    private static final long serialVersionUID = 4530714427862196578L;

    public GenericRevision(final TcSession session, final ItemRevision itemRevision) {
        super(session, itemRevision);
    }

    @Override
    public <T> T accept(final IReceptorVisitor<T> aReceptorVisitor) {
        return aReceptorVisitor.visitReceptor(this);
    }

    @Override
    public <T> T accept(final IComponentVisitor<T> aComponentVisitor) {
        return aComponentVisitor.visitComponent(this);
    }

    @Override
    public String toString() {
        return getType() + " " + this.getItemId();
    }
}
